VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "_:    "
   ClientHeight    =   4836
   ClientLeft      =   48
   ClientTop       =   336
   ClientWidth     =   5508
   Icon            =   "Form1.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   4836
   ScaleWidth      =   5508
   StartUpPosition =   3  'Windows Default
   Begin VB.Timer Timer1 
      Left            =   3540
      Top             =   2820
   End
   Begin VB.PictureBox Picture1 
      Height          =   672
      Left            =   1080
      Picture         =   "Form1.frx":030A
      ScaleHeight     =   624
      ScaleWidth      =   984
      TabIndex        =   0
      Top             =   1140
      Width           =   1032
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'The current number of radians round the circle the
Dim CurRot As Single 'picture box is so far

'How many radians round the circle the picture box
Const RotStep = 0.2 'moves per frame

Const TwoPi = 6.2831853071

Const PicSize = 200 ' picture box

Private Sub Form_Load()
    
    Form1.AutoRedraw = True

    With Timer1 ' 
        .Interval = 100
        .Enabled = True
    End With
End Sub

Private Sub Timer1_Timer()
    Dim CircSize As Integer
    Dim RotPos(1) As Integer

    With Form1
        .Cls
        'Get the size of the biggest circle we can use
        ' and still stay within the form bounds
        If .ScaleWidth > .ScaleHeight Then CircSize = _
            .ScaleHeight Else CircSize = .ScaleWidth
    End With

    '  
    CircSize = (CircSize \ 2) - PicSize

    'Calculate the position round the circle
    RotPos(0) = ((Cos(CurRot) * CircSize) + _
        Form1.ScaleWidth \ 2)
    RotPos(1) = ((Sin(CurRot) * CircSize) + _
        Form1.ScaleHeight \ 2)

    ' picture box
    Picture1.Move _
        RotPos(0) - PicSize, _
        RotPos(1) - PicSize, _
        PicSize * 2, PicSize * 2

    'Draw a line from the center to the picture box
    Form1.Line (RotPos(0), RotPos(1))-( _
        Form1.ScaleWidth \ 2, Form1.ScaleHeight \ 2)

    'Draw the rotation path
    Form1.Circle (Form1.ScaleWidth \ 2, _
        Form1.ScaleHeight \ 2), CircSize

    '  
    Form1.Circle (Form1.ScaleWidth \ 2, _
        Form1.ScaleHeight \ 2), 50, vbRed

    'Increace the rotation for the next frame
    CurRot = CurRot + RotStep
    If CurRot >= TwoPi Then CurRot = 0
End Sub


